跳到正文

database_api.list_decline_voting_rights_requests ​

since HF14

Purpose ​

返回放弃投票权(decline voting rights)请求列表。参数:start:object;limit:int;order:string

  • start 取决于 order(见下文)
  • limit 最大 1000。
  • order 可取以下值:
    • by_account - 按账户排序
      • start 为字符串:account
    • by_effective_date - 按生效日期(effective date)排序
      • start 为两个值组成的数组:timestamp、account

| start (object) | limit (int) | order (string) | | |----------------------------|---------------|-| | "" | 10 | "by_account" | 查询前 10 条请求,按账户排序 | | ["1960-01-01T00:00:00", ""] | 10 | "by_effective_date" | 查询前 10 条请求,按生效日期排序 |

另见:Paginated API Methods

Parameters ​

PARAMETERS
json
{
  "start": null,
  "limit": 0,
  "order": "by_name"
}

Example ​

Example 1 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "database_api.list_decline_voting_rights_requests",
    "params": {
      "start": "",
      "limit": 10,
      "order": "by_account"
    },
    "id": 1
  }'

Example 2 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "database_api.list_decline_voting_rights_requests",
    "params": {
      "start": [
        "1970-01-01T00:00:00",
        "",
        ""
      ],
      "limit": 10,
      "order": "by_effective_date"
    },
    "id": 1
  }'

Response ​

RESPONSE
json
{
  "requests": []
}